Bug 75690 - XFree86 fails on Radeon 7500 with kernel 2.4.18-14
XFree86 fails on Radeon 7500 with kernel 2.4.18-14
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-10 23:11 EDT by Roy Stogner
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-05 11:36:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roy Stogner 2002-10-10 23:11:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
After upgrading from Red Hat 7.3 to 8.0 (during which process the X server
seemed to work fine), I discovered that X failed to work: when running just "X",
the monitor would switch modes but remain at only a black screen.  Caps Lock
would be useable for a few seconds, then the Caps and Scroll lock keys would
start blinking, at which point the only working keyboard function appeared to be
"Alt-SysRq-B".

Booting into the 2.4.18-0.13 kernel left from the 7.3 install with no other
changes was sufficient to fix the problem.  I have not tested this system with a
stock 2.4.18 or 2.4.19 kernel.

At one point while attempting to get my computer working I saw part of a kernel
oops (from 2.4.18-14) which mentioned the agpgart module in the stack trace, but
the computer froze in the middle of the oops.

I don't know how specific to my hardware this problem is.  I am running a Radeon
7500 on a Via KT266A based motherboard with a 1400Mhz Athlon.  "mem=nopentium"
is set in the kernel options.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Run the command "X" (or boot into runlevel 5) on a computer with a Radeon
7500 video card
2.
3.
	

Additional info:
Comment 1 Arjan van de Ven 2002-10-11 04:24:40 EDT
please don't set mem=nopentium

Note You need to log in before you can comment on or make changes to this bug.